Timing HK erroné sur certains tests de charge
Description

Nous avons lancé des test de charge de 10 & 15h en fonction du mode.

Pour cela nous avons activé les logs car le code de Gerald ne permet pas ce type de test.
Les tests sont stockés dans /home/validation/TestCharge

et ensuite repertoire par mode

Les fichiers de type packet_log.data sont analysés avec un script développé pour verifier le timing des HK et des produits généres.
Ce script est/home/validation/SCRIPT/periodicity.py
Attention, pas acces a | info SEQUENCE_CNT.

3 tests ont un comportement anormal au niveau des HK.
Attention: Les plateformes de test ont eveolué et donc tous les tests n ont pas le meme environnement.

En NORMAL MODE joué sur pc-faust9 (dernieres versions de tous les composants)
/home/validation/TestCharge/NORMAL

fichier 2015_04_07_14_29 49 packet_log.data

Highest delta between 2 packets : 3.0 s

201547 14:29:49:582 TM_LFR_HK time = 0x 1cb6984b 3e4c

201547 14:29:50:582 TM_LFR_HK time = 0x 1cb6984e 3e4c

201547 14:29:51:582 TM_LFR_HK time = 0x 1cb6984f 3e4b

201547 14:29:52:582 TM_LFR_HK time = 0x 1cb69850 3e4a

En SBM1 MODE

Joué sur pc-coillot

/home/validation/TestCharge/SBM1/2015_03_16

2 hk avec le meme champ TIME (le temps du PC est bien incrementé)

Verification HK

Indice 52179 Valeur hors norme = 0.0
Time = 0x1c9a9764

Time = 0x1c9a9764

Cela correspond a

2015317 07:42:29:724 TM_LFR_HK time = 0x 1¢9a9763 11
2015317 07:42:30:688 TM_LFR_HK time = 0x 1c9a9764 85
2015317 07:42:31:703 TM_LFR_HK time = 0x 1¢9a9764 85
2015317 07:42:32:688 TM_LFR_HK time = 0x 1c9a9766 3f

2eme test joué sur pc-faust9
/home/validation/TestCharge/SBM1/2015_03_23
On recule dans le temps.

Verification HK

Indice 1416 Valeur hors norme = -1.5e-05

Time = 0x1ca3070e

Time = 0x1ca3070e

Cela correspond a

2015323 17:17:02:217 TM_LFR_HK time = 0x 1ca3070d 4
20153 23 17:17:03:217 TM_LFR_HK time = 0x 1ca3070e 3
2015323 17:17:04:220 TM_LFR_HK time = 0x 1ca3070e 2
2015323 17:17:05:217 TM_LFR_HK time = 0x 1ca3070f ffff
Pour info, les tests en SBM1 joués le 24 mars 2015 et le 25 mars 2015 (cette fois sans timegen) sont corrects.
Contexte: NON GARANTI CAR PLUSIEURS MISES A JOUR EFFECTUEES

Ici le contexte du test NORMAL

FSW 2.0.2.3
VHDL 1.1.68
EM 1

SocExplorer 0.6.0
StarDundee spacewire
Mini-LFR n°5 en mode TIMEGEN

History

#1 - 01/10/2015 03:59 PM - bruno katra

- Assignee changed from paul leroy to Veronique bouzid

Réattribution a la validation pour tests en R3 avec nouveau VHDL + fsw 3.0.0.9

#2 - 26/02/2016 03:13 PM - Veronique bouzid

- Status changed from New to Closed

bug trouvé voir #629
